/*
 * Splash.h
 *
 *  Created on: Mar 8, 2014
 *      Author: brian
 */

#ifndef SPLASH_H_
#define SPLASH_H_

#include "GameObject.h"
#include "Drop.h"

#define NUMDROPS 8

class Splash : public GameObject
{
public:
	Splash();
	virtual ~Splash() ;


  void load(int x, int y, int width, int height, std::string  textureID);
  void draw(SDL_Renderer* pRenderer);
  void update();
  void clean();
  bool isDead();
private:
  bool m_alive;
  Uint32 m_startTime, m_currentTime, m_aliveTime;
  Drop drops[NUMDROPS];


};


#endif /* SPLASH_H_ */
